Delete screening webhook
curl --request DELETE \
--url https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId} \
--header 'x-api-key: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Webhook deleted successfully"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Screening Webhooks
Delete screening webhook
Permanently deletes the screening webhook with the given ID. Deletion deactivates the webhook, removes it from the tenant’s list of subscribed webhooks, and stops notifications to the target server URL. Use it to remove webhooks that are no longer in use, or to free a slot when the tenant has reached its webhook limit (10 webhooks by default).
DELETE
/
v2
/
webhooks
/
screening
/
{webhookId}
Delete screening webhook
curl --request DELETE \
--url https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId} \
--header 'x-api-key: <api-key>'import requests
url = "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
headers = {"x-api-key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'x-api-key': '<api-key>'}};
fetch('https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://admin-api.gominerva.com/v2/webhooks/screening/{webhookId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": 200,
"message": "Webhook deleted successfully"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}{
"status": 400,
"message": "Bad request",
"code": "VALIDATION_ERROR"
}Authorizations
Admin API key for authentication. Manage API keys in the Minerva dashboard under Administration > Developers.
Path Parameters
The unique identifier of the webhook to delete